# Deprecated API

## Contents

- Constructors

Deprecated Constructors
Constructor
Description
org.apache.datasketches.tuple.adouble.DoubleTupleSketch(MemorySegment, DoubleSummary.Mode)
As of 3.0.0, heapifying an UpdatableTupleSketch is deprecated. This capability will be removed in a future release. Heapifying a CompactTupleSketch is not deprecated.
org.apache.datasketches.tuple.aninteger.IntegerTupleSketch(MemorySegment, IntegerSummary.Mode)
As of 3.0.0, heapifying an UpdatableTupleSketch is deprecated. This capability will be removed in a future release. Heapifying a CompactTupleSketch is not deprecated.
org.apache.datasketches.tuple.strings.ArrayOfStringsTupleSketch(MemorySegment)
As of 3.0.0, heapifying an UpdatableTupleSketch is deprecated. This capability will be removed in a future release. Heapifying a CompactTupleSketch is not deprecated.
org.apache.datasketches.tuple.UpdatableTupleSketch(MemorySegment, SummaryDeserializer<S>, SummaryFactory<S>)
As of 3.0.0, heapifying an UpdatableTupleSketch is deprecated. This capability will be removed in a future release. Heapifying a CompactTupleSketch is not deprecated.